---
# tasks file for docker
- name: Install required system packages
  apt:
    pkg: '{{ docker_pkgs }}'
    state: present
    force_apt_get: yes

- name: Add Docker GPG apt Key
  apt_key:
    id: 9DC858229FC7DD38854AE2D88D81803C0EBFCD88
    url: https://mirror.rmt/docker/gpg
    keyring: /usr/share/keyrings/docker-archive-keyring.gpg
    state: present

- set_fact:
    arch: "arm64"
  when: ansible_architecture == "aarch64"

- set_fact:
    arch: "amd64"
  when: ansible_architecture == "x86_64"

- name: Add Docker Repository
  copy:
    content: "deb [arch={{ arch }} signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://mirror.rmt/docker/debian bullseye stable\n"
    dest: /etc/apt/sources.list.d/docker.list
    mode: '0644'

- name: Update apt and install docker-ce
  apt:
    pkg:
      - docker-ce
      - docker-ce-cli
      - containerd.io
    update_cache: yes
    state: latest
    force_apt_get: yes

- name: Install Docker Module for Python
  pip:
    name: "{{ item }}"
    executable: pip3
  loop:
    - docker
    - docker-compose
